Package picard.fingerprint

## Class FingerprintIdDetails

- java.lang.Object
- - picard.fingerprint.FingerprintIdDetails

-     public class FingerprintIdDetails
      extends Object

  class to hold the details of a element of fingerprinting PU tag

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `FingerprintIdDetails()` |
    `FingerprintIdDetails​(htsjdk.samtools.SAMReadGroupRecord rg, String file)` |
    `FingerprintIdDetails​(String platformUnit, String file)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `boolean` | `equals​(Object o)` |
    `String` | `getPlatformUnit()` |
    `String` | `getSample()` |
    `int` | `hashCode()` |
    `FingerprintIdDetails` | `merge​(FingerprintIdDetails other)` |

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### FingerprintIdDetails

          public FingerprintIdDetails()

    - #### FingerprintIdDetails

          public FingerprintIdDetails​(String platformUnit,
                                      String file)

    - #### FingerprintIdDetails

          public FingerprintIdDetails​(htsjdk.samtools.SAMReadGroupRecord rg,
                                      String file)

  - ### Method Detail

    - #### equals

          public boolean equals​(Object o)

      Overrides:
        `equals` in class `Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

    - #### merge

          public FingerprintIdDetails merge​(FingerprintIdDetails other)

    - #### getPlatformUnit

          public String getPlatformUnit()

    - #### getSample

          public String getSample()